Terjemahan disediakan oleh mesin penerjemah. Jika konten terjemahan yang diberikan bertentangan dengan versi bahasa Inggris aslinya, utamakan versi bahasa Inggris.
$submitOperasi FHIR untuk HealthLake
$submitOperasi ini memungkinkan Anda untuk secara elektronik mengirimkan permintaan otorisasi sebelumnya kepada pembayar untuk persetujuan. Operasi ini mengimplementasikan Panduan Implementasi Da Vinci Prior Authorization Support (PAS)
Cara kerjanya
-
Kirim: Anda mengirim Bundel FHIR yang berisi permintaan otorisasi sebelumnya dan data klinis pendukung
-
Validasi: HealthLake memvalidasi pengajuan terhadap persyaratan PAS
-
Bertahan: Semua sumber daya disimpan di penyimpanan HealthLake data Anda
-
Tanggapan: Anda menerima tanggapan langsung dengan status “antrian”
-
Proses: Keputusan otorisasi diproses secara asinkron oleh pembayar
Titik akhir API
POST /datastore/{datastoreId}/r4/Claim/$submit Content-Type: application/fhir+json
Struktur permintaan
Persyaratan bundel
Permintaan Anda harus berupa sumber daya FHIR Bundle dengan:
-
Bundle.type: Harus
"collection" -
Bundle.entry: Harus berisi tepat satu sumber daya Klaim dengan
use = "preauthorization" -
Sumber Daya yang Direferensikan: Semua sumber daya yang direferensikan oleh Klaim harus disertakan dalam Bundel
Sumber daya yang dibutuhkan
| Sumber daya | Kardinalitas | Profil | Deskripsi |
|---|---|---|---|
| Klaim | 1 | Klaim PAS | Permintaan otorisasi sebelumnya |
| Pasien | 1 | Pasien PAS | Informasi demografis pasien |
| Organisasi (Penanggung) | 1 | Penanggung PAS | Perusahaan asuransi |
| Organisasi (Penyedia) | 1 | Pemohon PAS | Penyedia layanan kesehatan mengirimkan permintaan |
| Cakupan | 1 atau lebih | Cakupan PAS | Detail pertanggungan asuransi |
Sumber daya opsional
| Sumber daya | Kardinalitas | Profil | Deskripsi |
|---|---|---|---|
| Praktisi | 0 atau lebih | Praktisi PAS | Praktisi kesehatan |
| PractitionerRole | 0 atau lebih | PAS PractitionerRole | Peran praktisi |
| ServiceRequest | 0 atau lebih | PAS ServiceRequest | Meminta layanan medis |
| DeviceRequest | 0 atau lebih | PAS DeviceRequest | Alat kesehatan yang diminta |
| MedicationRequest | 0 atau lebih | PAS MedicationRequest | Obat yang diminta |
| DocumentReference | 0 atau lebih | PAS DocumentReference | Mendukung dokumentasi klinis |
Contoh permintaan
POST /datastore/example-datastore/r4/Claim/$submit Content-Type: application/fhir+json Authorization: Bearer <your-token> { "resourceType" : "Bundle", "id" : "MedicalServicesAuthorizationBundleExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-pas-request-bundle"] }, "identifier" : { "system" : "http://example.org/SUBMITTER_TRANSACTION_IDENTIFIER", "value" : "5269367" }, "type" : "collection", "timestamp" : "2005-05-02T11:01:00+05:00", "entry" : [{ "fullUrl" : "http://example.org/fhir/Claim/MedicalServicesAuthorizationExample", "resource" : { "resourceType" : "Claim", "id" : "MedicalServicesAuthorizationExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim"] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:01:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "provider" : { "reference" : "Organization/UMOExample" }, "priority" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/processpriority", "code" : "normal" }] }, "insurance" : [{ "sequence" : 1, "focal" : true, "coverage" : { "reference" : "Coverage/InsuranceExample" } }], "item" : [{ "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-serviceItemRequestType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1525", "code" : "IN", "display" : "Initial Medical Services Reservation" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-certificationType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1322", "code" : "I", "display" : "Initial" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-authorizationNumber", "valueString" : "1122344" }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-administrationReferenceNumber", "valueString" : "33441122" }], "sequence" : 1, "category" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1365", "code" : "1", "display" : "Medical Care" }] }, "productOrService" : { "coding" : [{ "system" : "http://www.cms.gov/Medicare/Coding/HCPCSReleaseCodeSets", "code" : "99212", "display" : "Established Office Visit" }] }, "servicedDate" : "2005-05-10", "locationCodeableConcept" : { "coding" : [{ "system" : "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set", "code" : "11" }] } }] } }, { "fullUrl" : "http://example.org/fhir/Organization/UMOExample", "resource" : { "resourceType" : "Organization", "id" : "UMOExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor"] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "8189991234" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "X3" }] }], "name" : "DR. JOE SMITH CORPORATION", "address" : [{ "line" : ["111 1ST STREET"], "city" : "SAN DIEGO", "state" : "CA", "postalCode" : "92101", "country" : "US" }] } }, { "fullUrl" : "http://example.org/fhir/Organization/InsurerExample", "resource" : { "resourceType" : "Organization", "id" : "InsurerExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer"] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "1234567893" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "PR" }] }], "name" : "MARYLAND CAPITAL INSURANCE COMPANY" } }, { "fullUrl" : "http://example.org/fhir/Coverage/InsuranceExample", "resource" : { "resourceType" : "Coverage", "id" : "InsuranceExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage"] }, "status" : "active", "subscriberId" : "1122334455", "beneficiary" : { "reference" : "Patient/SubscriberExample" }, "relationship" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/subscriber-relationship", "code" : "self" }, { "system" : "https://codesystem.x12.org/005010/1069", "code" : "18" }] }, "payor" : [{ "reference" : "Organization/InsurerExample" }] } }, { "fullUrl" : "http://example.org/fhir/Patient/SubscriberExample", "resource" : { "resourceType" : "Patient", "id" : "SubscriberExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-subscriber"] }, "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-militaryStatus", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/584", "code" : "RU" }] } }], "identifier" : [{ "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/v2-0203", "code" : "MB" }] }, "system" : "http://example.org/MIN", "value" : "12345678901" }], "name" : [{ "family" : "SMITH", "given" : ["JOE"] }], "gender" : "male" } }] }
Format respons
Respon sukses (200 OK)
Anda akan menerima PAS Response Bundle yang berisi:
-
ClaimResponsedengan
outcome: "queued"danstatus: "active" -
Semua sumber daya asli dari permintaan Anda
-
Tanda terima konfirmasi stempel waktu
{ "resourceType" : "Bundle", "identifier": { "system": "http://example.org/SUBMITTER_TRANSACTION_IDENTIFIER", "value": "5269367" }, "type" : "collection", "timestamp" : "2005-05-02T11:02:00+05:00", "entry" : [{ "fullUrl" : "http://example.org/fhir/ClaimResponse/PractitionerRequestorPendingResponseExample", "resource" : { "resourceType" : "ClaimResponse", "id" : "PractitionerRequestorPendingResponseExample", "meta" : { "profile" : ["http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claimresponse"] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:02:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "requestor" : { "reference" : "PractitionerRole/ReferralPractitionerRoleExample" }, "request" : { "reference" : "Claim/MedicalServicesAuthorizationExample" }, "outcome" : "queued" } }, { "fullUrl" : "http://example.org/fhir/Claim/MedicalServicesAuthorizationExample", "resource" : { "resourceType" : "Claim", "id" : "MedicalServicesAuthorizationExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-claim|2.1.0" ] }, "identifier" : [{ "system" : "http://example.org/PATIENT_EVENT_TRACE_NUMBER", "value" : "111099" } }], "status" : "active", "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/claim-type", "code" : "professional" }] }, "use" : "preauthorization", "patient" : { "reference" : "Patient/SubscriberExample" }, "created" : "2005-05-02T11:01:00+05:00", "insurer" : { "reference" : "Organization/InsurerExample" }, "provider" : { "reference" : "Organization/UMOExample" }, "priority" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/processpriority", "code" : "normal" }] }, "insurance" : [{ "sequence" : 1, "focal" : true, "coverage" : { "reference" : "Coverage/InsuranceExample" } }], "item" : [{ "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-serviceItemRequestType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1525", "code" : "IN", "display" : "Initial Medical Services Reservation" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-certificationType", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1322", "code" : "I", "display" : "Initial" }] } }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-authorizationNumber", "valueString" : "1122344" }, { "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-administrationReferenceNumber", "valueString" : "33441122" }], "sequence" : 1, "category" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/1365", "code" : "1", "display" : "Medical Care" }] }, "productOrService" : { "coding" : [{ "system" : "http://www.cms.gov/Medicare/Coding/HCPCSReleaseCodeSets", "code" : "99212", "display" : "Established Office Visit" }] }, "servicedDate" : "2005-05-10", "locationCodeableConcept" : { "coding" : [{ "system" : "https://www.cms.gov/Medicare/Coding/place-of-service-codes/Place_of_Service_Code_Set", "code" : "11" }] } }] } }, { "fullUrl" : "http://example.org/fhir/Organization/UMOExample", "resource" : { "resourceType" : "Organization", "id" : "UMOExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-requestor|2.1.0" ] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "8189991234" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "X3" }] }], "name" : "DR. JOE SMITH CORPORATION", "address" : [{ "line" : ["111 1ST STREET"], "city" : "SAN DIEGO", "state" : "CA", "postalCode" : "92101", "country" : "US" }] } }, { "fullUrl" : "http://example.org/fhir/Organization/InsurerExample", "resource" : { "resourceType" : "Organization", "id" : "InsurerExample", "meta" : { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-insurer|2.1.0" ] }, "identifier" : [{ "system" : "http://hl7.org/fhir/sid/us-npi", "value" : "1234567893" }], "active" : true, "type" : [{ "coding" : [{ "system" : "https://codesystem.x12.org/005010/98", "code" : "PR" }] }], "name" : "MARYLAND CAPITAL INSURANCE COMPANY" } }, { "fullUrl" : "http://example.org/fhir/Coverage/InsuranceExample", "resource" : { "resourceType" : "Coverage", "id" : "InsuranceExample", "meta": { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-coverage|2.1.0" ] }, "status" : "active", "subscriberId" : "1122334455", "beneficiary" : { "reference" : "Patient/SubscriberExample" }, "relationship" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/subscriber-relationship", "code" : "self" }, { "system" : "https://codesystem.x12.org/005010/1069", "code" : "18" }] }, "payor" : [{ "reference" : "Organization/InsurerExample" }] } }, { "fullUrl" : "http://example.org/fhir/Patient/SubscriberExample", "resource" : { "resourceType" : "Patient", "id" : "SubscriberExample", "meta": { "profile": [ "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-subscriber", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-beneficiary", "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/profile-beneficiary|2.1.0" ] }, "extension" : [{ "url" : "http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-militaryStatus", "valueCodeableConcept" : { "coding" : [{ "system" : "https://codesystem.x12.org/005010/584", "code" : "RU" }] } }], "identifier" : [{ "type" : { "coding" : [{ "system" : "http://terminology.hl7.org/CodeSystem/v2-0203", "code" : "MB" }] }, "system" : "http://example.org/MIN", "value" : "12345678901" }], "name" : [{ "family" : "SMITH", "given" : ["JOE"] }], "gender" : "male" } }] }
Tanggapan kesalahan
400 Permintaan Buruk
Dikembalikan ketika format permintaan tidak valid atau cacat.
{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "invalid", "diagnostics": "The provided payload was invalid and could not be parsed correctly." }] }
412 Prasyarat Gagal
Dikembalikan ketika permintaan otorisasi sebelumnya yang sama telah dikirimkan (duplikat pengiriman terdeteksi).
{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "processing", "diagnostics": "PreAuth Claim already exists" }] }
Idempotensi
$submitOperasi ini idempoten. Mengirimkan permintaan yang sama beberapa kali tidak akan membuat duplikat permintaan otorisasi sebelumnya. Sebagai gantinya, Anda akan menerima kesalahan 412 yang mengarahkan Anda untuk menggunakan $inquire untuk memeriksa status pengiriman asli Anda.
422 Entitas yang Tidak Dapat Diproses
Dikembalikan ketika validasi FHIR gagal.
{ "resourceType": "OperationOutcome", "issue": [{ "severity": "error", "code": "required", "diagnostics": "Bundle contains more than one preauthorization claim" }] }
Aturan validasi
HealthLake melakukan validasi komprehensif pada kiriman Anda:
Validasi bundel
-
Harus sesuai dengan profil PAS Request Bundle
-
Bundle.typeharus"collection" -
Dapat berisi beberapa sumber Klaim
-
Namun, harus berisi persis satu sumber Klaim dengan penggunaan pra-otorisasi
-
Dan sumber daya Klaim ini harus menjadi entri pertama dalam bundel
-
-
Semua sumber daya yang direferensikan harus disertakan dalam Bundel
Validasi klaim
-
Harus sesuai dengan profil Klaim PAS
-
Claim.useharus"preauthorization" -
Bidang yang diperlukan:
patientinsurer,,provider,created,priority -
Pengidentifikasi bisnis harus ada dan valid
Validasi sumber daya
-
Semua sumber daya harus sesuai dengan profil PAS masing-masing
-
Sumber daya pendukung yang diperlukan harus ada (Pasien, Cakupan, Organisasi)
-
Referensi silang harus valid dan dapat diselesaikan dalam Bundel
Spesifikasi kinerja
| Metrik | Spesifikasi |
|---|---|
| Batas Ukuran Bundel | Maksimum 5 MB |
| Batas Hitungan Sumber Daya | 500 sumber daya per Bundel |
Izin yang diperlukan
Untuk menggunakan $submit operasi, seseorang dapat menggunakan AWS Sigv4 atau SMART di FHIR:
-
Pastikan peran IAM Anda memiliki:
healthlake:SubmitPreAuthClaim- Untuk memanggil operasi
SMART pada Lingkup FHIR
Cakupan minimum yang diperlukan:
-
SMART v1:
user/Claim.write & <all_resourceTypes_in_Bundle>.write -
SMART v2:
user/Claim.c & <all_resourceTypes_in_Bundle>.c or system/*.*
Catatan implementasi penting
Kegigihan sumber daya
-
Semua entri Bundle dipertahankan sebagai sumber daya FHIR individual di penyimpanan data Anda
-
Disediakan pelanggan dipertahankan saat IDs disediakan
-
Riwayat versi dipertahankan untuk tujuan audit
-
Deteksi duplikat mencegah konflik sumber daya
Perilaku pemrosesan
-
Setiap pengiriman yang valid menghasilkan persis satu ClaimResponse dengan
"queued"hasil -
Kiriman tidak valid mengembalikan kode status 400 atau 422 dengan informasi kesalahan terperinci
-
Kesalahan sistem mengembalikan kode status 5xx yang sesuai
-
Semua kiriman yang berhasil mengembalikan 200 status dengan pended ClaimResponse
Persyaratan bundel
-
Bundle.entry.fullUrlnilai harus berupa REST URLs atau"urn:uuid:[guid]"format -
Semua GUIDs harus unik di seluruh kiriman (kecuali untuk contoh sumber daya yang sama)
-
Sumber daya yang direferensikan harus ada di dalam Bundel atau dapat diselesaikan
Operasi terkait
-
Claim/$inquire- Kueri status permintaan otorisasi sebelumnya yang diajukan -
Patient/$everything- Ambil data pasien yang komprehensif untuk konteks otorisasi sebelumnya